Bug 51059 - Automounting of devices
Automounting of devices
Product: Red Hat Linux
Classification: Retired
Component: autofs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-08-06 18:35 EDT by Ed McKenzie
Modified: 2008-01-17 12:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-04 16:37:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ed McKenzie 2001-08-06 18:35:57 EDT
Not sure where this bug goes, but ...

AFAICS there is no way to be logged into GNOME and not have a half-dozen
programs open the CD as soon as I open it.  rpm -e magicdev doesn't fix it,
as it used to with gmc.  Worse, if I'm in a shell and cd to /misc/cd, it
seems the disc becomes permanently mounted -- not even Nautilus can unmount
the volume (I get errors about automount points not being in fstab, must be
Comment 1 David Mason 2001-08-07 11:30:07 EDT
What do you mean by "half-dozen programs open the CD"?

Comment 2 Ed McKenzie 2001-08-07 11:38:24 EDT
fam and nautilus open the CD once each if they're working properly. 
Unfortunately, with automount nautilus will sometimes get confused and start
creating multiple CD's on the desktop (I have only one CD drive) -- when this
happens, multiple nautili threads open /dev/cdrom as soon as I put a disc in it.

Yes, fixing nautilus would be ideal, but being able to turn off this behavior
would probably be a better short-term solution than 'killall nautilus.'
Comment 3 David Mason 2001-08-07 11:51:55 EDT
thanks for info
Comment 4 Glen Foster 2001-08-07 16:09:07 EDT
We (Red Hat) should really try to fix this before next release.
Comment 5 Havoc Pennington 2001-08-07 17:34:45 EDT
What is the exact sequence of steps to reproduce? I have autofs installed, 
and magicdev running. Here is what I do:

 - insert CD
 - Nautilus window opens displaying CD, CD appears on desktop
 - try to unmount CD, Nautilus gives error message (a lame one, but it exists)
 - close Nautilus window
 - unmount CD successfully, since I no longer have Nautilus window open to the CD
 - insert CD again, Nautilus opens window again, CD on desktop
 - open a shell, cd /mnt/cdrom
 - try to unmount - doesn't work
 - close Nautilus window, cd out of /mnt/cdrom in the shell
 - try to unmount, works fine

What do you do differently?
Comment 6 Havoc Pennington 2001-08-07 17:42:14 EDT
Note, when I say "try to unmount", I am doing that from right-click menu on the
CD icon.
Comment 7 Ed McKenzie 2001-08-08 09:03:55 EDT
Ok, I can't easily reproduce the multiple-CD's-on-desktop bug -- that 
usually only shows up after running nautilus for some time.  However, I 
think the crux of this bug report is that nautilus interacts poorly with 
automount.  I think this is actually bigger than just Nautilus -- umount as 
user doesn't seem to work if a device is mounted twice, as is the case if 
one does 'cd /misc/cd' and nautilus mounts on /mnt/cdrom.

From here, it looks like the options are a.) change umount so non-root 
can unmount multiple-mounted devices, or simply b.) don't ship with 
automount enabled, since it takes at least sixty seconds to undo this 

A third option I haven't tried (not on a linux box at the moment) would be 
adding /misc/cd to /etc/fstab.  I don't know whether this would cause a 
problem with programs that periodically stat all devices.
Comment 8 Havoc Pennington 2001-08-08 12:08:30 EDT
Is autofs in the default workstation install? I think you may need to do an
everything install to get that. 

Your suggested changes would involve mount/autofs, so reassigning the bug to
those components.
Comment 9 Bernhard Rosenkraenzer 2001-08-10 04:32:34 EDT
Assigning to autofs, I don't see what mount could do about this.
Comment 10 Nalin Dahyabhai 2001-08-14 17:03:19 EDT
The autofs package is in the Network Support component, and is enabled by
default for the sake of environments where map information is present on the
network.  Would it be sufficient to not mount /misc in the default auto.master
file?  This would permit auto.master maps from NIS and LDAP to still function
Comment 11 Ed McKenzie 2001-08-14 18:41:39 EDT
Yes, that fixes it for me.
Comment 12 Nalin Dahyabhai 2001-08-15 15:19:03 EDT
This will be fixed in autofs-3.1.7-19 and later.
Comment 13 Bill Nottingham 2006-08-04 16:37:39 EDT
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.

Note You need to log in before you can comment on or make changes to this bug.